-- drop view view_ganti1_testcase_daily;
create view view_ganti1_testcase_daily as
select 
	r.full_name as name_okres, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like '%test%' 
		and r.nr like 'ganti2'
		and d.time_period like 'Daily';

