import json
import pandas as pd
import os 

PATH_IN_FOLDER = 'C:/Workspaces/com.casus.env.where2test.migration/COM_CASUS_WHERE2TEST_MIGRATION/src/data/2_Zwischenstaende/'
PATH_OUT_FOLDER = 'C:/Workspaces/com.casus.env.where2test.migration/COM_CASUS_WHERE2TEST_MIGRATION/src/data/2_Zwischenstaende/'
FILE_NAME = 'geo_germany_gemeinde_simplified.json'
OUTFILE = 'geo_germany_gemeinde.csv'

FULL_PATH = PATH_IN_FOLDER + FILE_NAME
OUT_PATH = PATH_OUT_FOLDER + OUTFILE 
with open(FULL_PATH) as data_file:
    data=json.load(data_file)

listid=[]
for obj in data['features']:
    listid.append(obj['properties']['region'])

listgeom=[]
for obj in data['features']:
    geo = obj['geometry']['type'] + " "+ str(obj['geometry']['coordinates']).replace("], [", ",").replace('[[[', '((').replace(']]]', '))').replace('[', '(').replace(']', ')')
    listgeom.append(geo)

with open(OUT_PATH, 'w') as outfile:
    outfile.write('region_nr; ')
    outfile.write('geometry')
    outfile.write('\n')
    for index in range(0, len(listid)):
        outfile.write(listid[index])
        outfile.write('; ')
        outfile.write(listgeom[index])
        outfile.write('\n')

outfile.close()