import csv
from operator import index
from os import sep
import numpy as np 
import pandas as pd
import openpyxl
from pyparsing import col

PATH = 'C:/Workspaces/com.casus.env.where2test.migration/COM_CASUS_WHERE2TEST_MIGRATION/src/data/2_Zwischenstaende/'
PATH_OUT_FOLDER = 'C:/Workspaces/com.casus.env.where2test.migration/COM_CASUS_WHERE2TEST_MIGRATION/src/data/2_Zwischenstaende/'
OUTFILE = 'covid_type_bundesland.csv'

data_xls = pd.read_excel(PATH + 'VOC_VOI_Tabelle.xlsx', 'VOC_IfSG_Anzahl', dtype=str, index_col=None)
data_xls.to_csv(PATH + 'VOC_IfSG_Anzahl.csv', encoding='utf-8', index=False)
OUT_PATH = PATH_OUT_FOLDER + OUTFILE 

dfout = pd.DataFrame(columns=['Week_Nr', 'Bundesland','Alpha', 'Beta', 'Gamma', 'Delta', 'Omicron'])

input_csv = pd.read_csv(PATH + 'VOC_IfSG_Anzahl.csv', encoding='utf-8')
for index_type in range (1, len(input_csv.loc[0])):
    if ((index_type - 1) % 5 == 0):
        weekNr = 4 + ((index_type - 1) // 5)
        index_alpha = 1 + (weekNr - 4)*5 
        index_beta = 2 + (weekNr - 4)*5 
        index_gamma = 3 + (weekNr - 4)*5 
        index_delta = 4 + (weekNr - 4)*5 
        index_omicron = 5 + (weekNr - 4)*5 
        for index_col in range (1,18):
            dfout = dfout.append({'Week_Nr':weekNr,'Bundesland':input_csv.loc[index_col][0],'Alpha':input_csv.loc[index_col][index_alpha], 'Beta':input_csv.loc[index_col][index_beta], 'Gamma':input_csv.loc[index_col][index_gamma], 'Delta':input_csv.loc[index_col][index_delta],'Omicron':input_csv.loc[index_col][index_omicron]}, ignore_index=True)

dfout.to_csv(OUT_PATH, index=False, sep=";")